Name:		razorback
Version:	0.3.0
Release:	7.5
Url:		http://labs.snort.org/razorback/
Group:		Applications/Internet
License:	GPLv3
Summary:	Razorback is a framework
Source0:	http://sourceforge.net/projects/razorbacktm/files/Razorback/%{name}-%{version}.tbz
Patch0:		%{name}-%{version}.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	libuuid-devel
BuildRequires:	file-devel
BuildRequires:	pcre-devel
BuildRequires:	curl-devel
BuildRequires:	openssl-devel
BuildRequires:	pkgconfig
BuildRequires:	libconfig-devel >= 1.3.2
BuildRequires:	mysql-devel
BuildRequires:	libmemcached-devel >= 0.3.1
BuildRequires:	libcli-devel
BuildRequires:	libarchive-devel >= 2.7.902
BuildRequires:	fam-devel
BuildRequires:	libpcap-devel
BuildRequires:	cyrus-sasl-devel
Requires:	libarchive2 >= 2.7.902

%description
Razorback is a framework for an intelligence driven security solution. It consists of a Dispatcher at the core of the system, surrounded by Nuggets of varying types.

%package devel
Group:		Development/Applications/Internet
Summary:	Development files for razorback
Requires:	%{name} = %{version}

%description devel
Razorback is a framework for an intelligence driven security solution. It consists of a Dispatcher at the core of the system, surrounded by Nuggets of varying types.

%prep
%setup -n %{name}-%{version}
%patch0

%build
%configure \
	--disable-clamavNugget \
	--disable-officeCat \
	--disable-virusTotal \
	--disable-snort

%install
%__make DESTDIR=%{buildroot} install
cd %{buildroot}%{_sysconfdir}/razorback/
for a in `ls -1A *.sample` ; do
 cp $a `basename $a .sample` 
done

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%dir %{_sysconfdir}/razorback
%config(noreplace) %{_sysconfdir}/razorback/archive_inflate.conf
%config(noreplace) %{_sysconfdir}/razorback/dispatcher.conf
%config(noreplace) %{_sysconfdir}/razorback/fileInject.conf
%config(noreplace) %{_sysconfdir}/razorback/file_log.conf
%config(noreplace) %{_sysconfdir}/razorback/fsMonitor.conf
%config(noreplace) %{_sysconfdir}/razorback/fsWalk.conf
%config(noreplace) %{_sysconfdir}/razorback/inteltypes.conf
%config(noreplace) %{_sysconfdir}/razorback/magic
%config(noreplace) %{_sysconfdir}/razorback/master_nugget.conf
%config(noreplace) %{_sysconfdir}/razorback/nuggets.conf
%config(noreplace) %{_sysconfdir}/razorback/api.conf
%config(noreplace) %{_sysconfdir}/razorback/libemu.conf
%config(noreplace) %{_sysconfdir}/razorback/logging.conf
%config(noreplace) %{_sysconfdir}/razorback/swf_scanner.conf
%config(noreplace) %{_sysconfdir}/razorback/yara.conf
%dir %{_sysconfdir}/razorback/yara
%config %{_sysconfdir}/razorback/yara/banker.rules
%config %{_sysconfdir}/razorback/yara/packer.rules
%config %{_sysconfdir}/razorback/*.sample
%{_bindir}/dispatcher
%{_bindir}/fileInject
%{_bindir}/fsMonitor
%{_bindir}/fsWalk
%{_bindir}/masterNugget
%{_bindir}/dispatcher_safed
%{_bindir}/masterNugget_safed
%{_bindir}/sctest
%{_libdir}/librazorback_api.so.2.0.0
%dir %{_libdir}/razorback
%{_libdir}/razorback/archiveInflate.so.2.0.0
%{_libdir}/razorback/logNugget.so.2.0.0
%{_libdir}/razorback/libemuNugget.so.2.0.0
%{_libdir}/razorback/swfScanner.so.2.0.0
%{_libdir}/razorback/yaraNugget.so.2.0.0
%dir %{_datadir}/razorback
%{_datadir}/razorback/razorback-data.sql
%{_datadir}/razorback/razorback.sql
%{_datadir}/razorback/truncate.sql

%files devel
%defattr(-,root,root)
%{_includedir}/razorback.h
%dir %{_includedir}/razorback
%{_includedir}/razorback/alert_queue.h
%{_includedir}/razorback/api.h
%{_includedir}/razorback/binary_buffer.h
%{_includedir}/razorback/block.h
%{_includedir}/razorback/block_id.h
%{_includedir}/razorback/block_pool.h
%{_includedir}/razorback/cache.h
%{_includedir}/razorback/command_queue.h
%{_includedir}/razorback/config_file.h
%{_includedir}/razorback/connected_entity.h
%{_includedir}/razorback/daemon.h
%{_includedir}/razorback/debug.h
%{_includedir}/razorback/event.h
%{_includedir}/razorback/hash.h
%{_includedir}/razorback/input_queue.h
%{_includedir}/razorback/inspector_queue.h
%{_includedir}/razorback/judgment.h
%{_includedir}/razorback/judgment_queue.h
%{_includedir}/razorback/log.h
%{_includedir}/razorback/log_queue.h
%{_includedir}/razorback/messages.h
%{_includedir}/razorback/metadata.h
%{_includedir}/razorback/ntlv.h
%{_includedir}/razorback/queue.h
%{_includedir}/razorback/queue_list.h
%{_includedir}/razorback/request_queue.h
%{_includedir}/razorback/response_queue.h
%{_includedir}/razorback/socket.h
%{_includedir}/razorback/storage.h
%{_includedir}/razorback/submission.h
%{_includedir}/razorback/thread.h
%{_includedir}/razorback/types.h
%{_includedir}/razorback/uuids.h
%{_includedir}/razorback/visibility.h
%{_includedir}/razorback/thread_pool.h
%{_libdir}/librazorback_api.a
%{_libdir}/librazorback_api.la
%{_libdir}/librazorback_api.so
%{_libdir}/librazorback_api.so.2
%{_libdir}/pkgconfig/razorback.pc
%{_libdir}/razorback/archiveInflate.a
%{_libdir}/razorback/archiveInflate.la
%{_libdir}/razorback/archiveInflate.so
%{_libdir}/razorback/archiveInflate.so.2
%{_libdir}/razorback/logNugget.a
%{_libdir}/razorback/logNugget.la
%{_libdir}/razorback/logNugget.so
%{_libdir}/razorback/logNugget.so.2
%{_libdir}/razorback/libemuNugget.a
%{_libdir}/razorback/libemuNugget.la
%{_libdir}/razorback/libemuNugget.so
%{_libdir}/razorback/libemuNugget.so.2
%{_libdir}/razorback/swfScanner.a
%{_libdir}/razorback/swfScanner.la
%{_libdir}/razorback/swfScanner.so
%{_libdir}/razorback/swfScanner.so.2
%{_libdir}/razorback/yaraNugget.a
%{_libdir}/razorback/yaraNugget.la
%{_libdir}/razorback/yaraNugget.so
%{_libdir}/razorback/yaraNugget.so.2

%changelog
* Thu Dec  8 2011 cs@linux-administrator.com
- update to version 0.3.0
* Mon Aug 29 2011 cs@linux-administrator.com
- initial package
